#ifndef __STATES__PAUSE_STATE_H__
#define __STATES__PAUSE_STATE_H__

#include "BaseState.h"
#include <string>

class PauseState : public BaseState
{
public:
    void Enter(Engine& engine) override;
    void Exit(Engine& engine) override;
    void HandleEvents(Engine& engine, SDL_Event& event) override;
    void Update(Engine& engine, float dt) override;
    void Render(Engine& engine) override;
    void RenderImGui(Engine& engine) override;
    
    std::string GetName() const override { return "PauseState"; }

private:
    SDL_Color overlayColor = { 0, 0, 0, 180 };

};

#endif